/*  

*  Definitions of keys returned by n_getchar()

*  Many kept compatible with Greenleaf functions



  NOTE: F11, F12 are only recognized by extended keyboards and extended

  bios.



  You can use the checkkey program to see if your keyboard is an extended.

  if it is extended (ie, recognizes F11 and F12 then you can use those

  keys in your gmap3270 file.

*/



#define F1   '\x80'

#define F2   '\x81'

#define F3   '\x82'

#define F4   '\x83'

#define F5   '\x84'

#define F6   '\x85'

#define F7   '\x86'

#define F8   '\x87'

#define F9   '\x88'

#define F10  '\x89'

#define F11  '\xea'

#define F12  '\xeb'





#define SF1  '\x90'

#define SF2  '\x91'

#define SF3  '\x92'

#define SF4  '\x93'

#define SF5  '\x94'

#define SF6  '\x95'

#define SF7  '\x96'

#define SF8  '\x97'

#define SF9  '\x98'

#define SF10 '\x99'

#define SF11 '\xec'

#define SF12 '\xed'





#define CF1  '\xa0'

#define CF2  '\xa1'

#define CF3  '\xa2'

#define CF4  '\xa3'

#define CF5  '\xa4'

#define CF6  '\xa5'

#define CF7  '\xa6'

#define CF8  '\xa7'

#define CF9  '\xa8'

#define CF10 '\xa9'

#define CF11 '\xef'

#define CF12 '\xf0'





#define ALT1 '\xb0'

#define ALT2 '\xb1'

#define ALT3 '\xb2'

#define ALT4 '\xb3'

#define ALT5 '\xb4'

#define ALT6 '\xb5'

#define ALT7 '\xb6'

#define ALT8 '\xb7'

#define ALT9 '\xb8'

#define ALT0 '\xb9'



#define AF1  '\xe0'

#define AF2  '\xe1'

#define AF3  '\xe2'

#define AF4  '\xe3'

#define AF5  '\xe4'

#define AF6  '\xe5'

#define AF7  '\xe6'

#define AF8  '\xe7'

#define AF9  '\xe8'

#define AF10 '\xe9'

#define AF11 '\xf1'

#define AF12 '\xf2'





#define HOME		'\x8A'	/* HOME key	*/

#define CURLF		'\x8B'	/* <-		*/

#define ENDKEY		'\x8C'	/* END key	*/

#define CURUP		'\x8D'	/* up arrow	*/

#define CURDN		'\x8E'	/* down arrow	*/

#define PGUP		'\x9A'	/* PgUp		*/

#define CURRT		'\x9B'	/* ->		*/

#define PGDN		'\x9C'	/* PgDn		*/

#define INSERT		'\x9D'	/* Ins		*/

#define DELETE		'\x9E'	/* Del		*/

#define CTRLHOME	'\xaA'	/* Ctrl Home	*/

#define CTRLCURLF	'\xaB'	/* Ctrl <-	*/

#define CTRLEND		'\xaC'	/* Ctrl End	*/

#define CTRLPRTSC	'\xaE'	/* Ctrl PrtSc	*/

#define CTRLPGUP	'\xbA'	/* Ctrl PgUp	*/

#define CTRLCURRT	'\xbB'	/* Ctrl ->	*/

#define CTRLPGDN	'\xbC'	/* Ctrl PgDn	*/

#define REVTAB		'\x8F'	/* Shift Tab	*/

#define ALTMINUS	'\xbD'	/* Alt -	*/

#define ALTEQUAL	'\xbE'	/* Alt =	*/



#define ALTA '\xc1'

#define ALTB '\xc2'

#define ALTC '\xc3'

#define ALTD '\xc4'

#define ALTE '\xc5'

#define ALTF '\xc6'

#define ALTG '\xc7'

#define ALTH '\xc8'

#define ALTI '\xc9'

#define ALTJ '\xcA'

#define ALTK '\xcB'

#define ALTL '\xcC'

#define ALTM '\xcD'

#define ALTN '\xcE'

#define ALTO '\xcF'

#define ALTP '\xd0'

#define ALTQ '\xd1'

#define ALTR '\xd2'

#define ALTS '\xd3'

#define ALTT '\xd4'

#define ALTU '\xd5'

#define ALTV '\xd6'

#define ALTW '\xd7'

#define ALTX '\xd8'

#define ALTY '\xd9'

#define ALTZ '\xdA'

#define THENUL '\xdB'





